-- drop table configuration if exists;
-- drop table rule if exists;
-- drop table user if exists;
--
create table if not exists configuration (
    id integer generated by default as identity,
    airport varchar(255),
    -- default_high_temperature float not null,
    low_temp float not null,
    -- first_name varchar(255),
    -- last_name varchar(255),
    -- name varchar(255),
    primary key (id)
);

--
create table if not exists rule (
    line integer generated by default as identity,
    day integer not null,
    hour integer not null,
    min integer not null,
    temp float not null,
    user_id integer,
    primary key (line)
);

--
create table if not exists user (
    id integer generated by default as identity,
    bluetooth varchar(255),
    ip varchar(255),
    -- default_high_temperature float not null,
    -- default_low_temperature float not null,
    -- first_name varchar(255),
    -- last_name varchar(255),
    name varchar(255),
    primary key (id)
);

--
alter table rule add constraint if not exists FK55ew2b76r531nnmw97mm96yt2 foreign key (user_id) references user;

-- Hard coded at the moment until Front end works
-- INSERT INTO configuration (airport, low_temp) VALUES ('EBAW', '16.0');
